Package com.pixelmed.anatproc

# Class DisplayableAnatomicConcept

java.lang.Object
com.pixelmed.anatproc.Concept
com.pixelmed.anatproc.CodedConcept
com.pixelmed.anatproc.DisplayableConcept
com.pixelmed.anatproc.DisplayableAnatomicConcept

public class DisplayableAnatomicConcept extends DisplayableConcept

This class represents anatomic concepts that may be encoded and displayed.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`pairedStructure`

### Fields inherited from class com.pixelmed.anatproc.DisplayableConcept

`fullyQualifiedMenuEntry, shortcutMenuEntry`

### Fields inherited from class com.pixelmed.anatproc.CodedConcept

`codeMeaning, codeStringEquivalent, codeValue, codingSchemeDesignator, codingSchemeVersion, conceptIdentifier, legacyCodingSchemeDesignator, synonynms`

### Fields inherited from class com.pixelmed.anatproc.Concept

`conceptUniqueIdentifier`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DisplayableAnatomicConcept()`
``
`DisplayableAnatomicConcept(String conceptUniqueIdentifier, String conceptIdentifier, boolean pairedStructure, String codingSchemeDesignator, String legacyCodingSchemeDesignator, String codingSchemeVersion, String codeValue, String codeMeaning, String codeStringEquivalent, String[] synonynms, String[] shortcutMenuEntry, String[] fullyQualifiedMenuEntry)`
Create an anatomic concept that may be encoded and displayed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPairedStructure()`
`String`
`toString()`

### Methods inherited from class com.pixelmed.anatproc.DisplayableConcept

`getFullyQualifiedMenuEntry, getShortcutMenuEntry`

### Methods inherited from class com.pixelmed.anatproc.CodedConcept

`getCodeAsString, getCodedSequenceItem, getCodeMeaning, getCodeStringEquivalent, getCodeValue, getCodingSchemeDesignator, getCodingSchemeVersion, getConceptIdentifier, getLegacyCodingSchemeDesignator, getSynonyms, toStringBrief`

### Methods inherited from class com.pixelmed.anatproc.Concept

`equals, getConceptUniqueIdentifier, hashCode`

### Methods inherited from class java.lang.Object

`clone, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### pairedStructure

protected boolean pairedStructure

## Constructor Details

### DisplayableAnatomicConcept

public DisplayableAnatomicConcept(String conceptUniqueIdentifier, String conceptIdentifier, boolean pairedStructure, String codingSchemeDesignator, String legacyCodingSchemeDesignator, String codingSchemeVersion, String codeValue, String codeMeaning, String codeStringEquivalent, String[] synonynms, String[] shortcutMenuEntry, String[] fullyQualifiedMenuEntry)

Create an anatomic concept that may be encoded and displayed.

Parameters:
  `conceptUniqueIdentifier` - the unique identifier of the concept, usually a UMLS CUI; required to be unique within the scope of comparisons using `equals(Object)`
  `conceptIdentifier` - the scheme-specific concept identifier, e.g., for SNOMED-CT, the SNOMED Concept Identifier
  `pairedStructure` - if true, then Left or Right or Both are permitted, otherwise always only Unpaired laterality
  `codingSchemeDesignator` - the DICOM PS3.16 Section 8 coding scheme used as the DICOM Coding Scheme Designator, e.g., "SRT", "DCM", "LN", or a private coding scheme
  `legacyCodingSchemeDesignator` - a legacy (alternative) coding scheme, e.g. "SNM3" if what is used in DICOM context groups instead of "SRT"; null if none required (i.e., treat the same as codingSchemeDesignator)
  `codingSchemeVersion` - the version of the coding scheme in which this code is defined, if necessary; null if none required
  `codeValue` - the code used as the DICOM Code Value (e.g., the SNOMED-RT style code rather than the SNOMED-CT style Concept Identifier)
  `codeMeaning` - the text used as the DICOM Code Meaning
  `codeStringEquivalent` - the text value used for a DICOM Code String VR equivalent attribute (e.g., for Body Part Examined instead of in Anatomic Region Sequence); may be null
  `synonynms` - alternative code meanings, including abbreviations or different languages; may be null or empty
  `shortcutMenuEntry` - an array of text values to use in a shortcut menu entry, e.g. "Wrist"
  `fullyQualifiedMenuEntry` - an array of text values to use in a full menu entry, e.g. "Limb","Upper","Wrist"

### DisplayableAnatomicConcept

protected DisplayableAnatomicConcept()

## Method Details

### isPairedStructure

public boolean isPairedStructure()

### toString

public String toString()

Overrides:
  `toString` in class `DisplayableConcept`